import * as THREE from 'three';
import { BlanketWithPhysics } from 'component/products/BlanketWithPhysics';

/*
    THIS model class is a bit different because model is generated by code + physics applied
*/
export class CalamigosBlanket extends BlanketWithPhysics{

    constructor(){
        super();

        this.modelConfig.model = {
            name: 'calamigos-blanket',
            file: '', // its gonna be auto generated
        }
    
        this.modelConfig.parts = [
            { 
                key: 'front',
                component: this.blanketFront(), // if rotation will be disabled we can only have front side
            },
            // { 
            //     key: 'back',
            //     component: this.blanketFront(), // if back side is enabled for user to view - need to rethink physics
            // },
        ];
    
        this.modelConfig.options = {
            position: new THREE.Vector3(0,60,0),
        }
    
        // this.queueModel(); // push 3d model url to preloader
        this.listen(); // wait for preloader to finish and call 'init' function

    }


}

